import {NgModule} from '@angular/core';
import {FormsModule} from '@angular/forms';
import {CommonModule} from '@angular/common';
import {BrowserAnimationsModule} from '@angular/platform-browser/animations';
import {HttpClientModule} from '@angular/common/http';
import {CustomFormsModule} from "ng2-validation";
import {NtFormTestComponent} from "./nt-form-test.component";
import {NtFormTestMaterials} from "./nt-form-materials";
import {TestComponent} from "../test/test.component";
import {MatSelectWrapperComponent} from '../mat-select-wrapper/mat-select-wrapper.component';

@NgModule({
  declarations: [NtFormTestComponent, TestComponent,    MatSelectWrapperComponent],
  imports: [
    CommonModule,
    BrowserAnimationsModule,
    FormsModule,
    HttpClientModule,
    CustomFormsModule,
    NtFormTestMaterials,
  ],
  exports: [NtFormTestComponent]
})
export class NtFormTestModule {}
