import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { NtSelectComponent } from './nt-select.component';
import { MatFormFieldModule, MatSelectModule } from '@angular/material';
import { ReactiveFormsModule, FormsModule } from '@angular/forms';

@NgModule({
  imports: [
    CommonModule,
    BrowserAnimationsModule,
    MatFormFieldModule,
    MatSelectModule,
     ReactiveFormsModule,
     FormsModule
  ],
  declarations: [NtSelectComponent],
  exports: [NtSelectComponent,
  
  ]
})
export class NtSelectModule { }
